import { 
  IsString, 
  IsOptional, 
  IsObject, 
  IsUUID, 
  IsArray
} from 'class-validator';

/**
 * DTO for updating a person
 */
export class UpdatePersonDto {
  @IsString()
  @IsOptional()
  name?: string;

  @IsUUID()
  @IsOptional()
  projectId?: string;

  @IsArray()
  @IsOptional()
  skills?: string[];

  @IsObject()
  @IsOptional()
  metadata?: Record<string, any>;
}
